<template>
    <div>
        CreateCarView
    </div>
    <div>
        <div>
            <label for="id">
                Id
                <input v-model="currentCar.id" type="number" id="id">
            </label>
        </div>
        <div>
            <label for="name">
                Name
                <input v-model="currentCar.name" type="text" id="name">
            </label>
        </div>
        <div>
            <label for="factory">
                Factory
                <input v-model="currentCar.factory" type="text" id="factory">
            </label>
        </div>
        <div>
            <label for="color">
                Color
                <input v-model="currentCar.color" type="text" id="color">
            </label>
        </div>
        <button @click="saveCarInfo">Save</button>
    </div>
</template>

<script>
import { mapActions } from 'vuex';


export default {
    name: 'ConfigCarView',
    data() {
        return {
            currentCar: {},
        }
    },
    methods: {
        ...mapActions(['addCarBtn']),
        saveCarInfo() {
            this.addCarBtn(this.currentCar);
            this.$router.push({ name: 'cars' })
        },
    },
}
</script>

<style lang="scss" scoped></style>